View Issue Details

IDProjectCategoryView StatusLast Update
0009858ScribusImport / Exportpublic2024-01-24 19:31
Reporterjirib Assigned Tofschmid  
PrioritynormalSeverityminorReproducibilityalways
Status assignedResolutionopen 
Platformi386OSLinuxOS VersionUbuntu 10.10
Product Version1.4.0svn 
Summary0009858: Importing ODT Character styles ignored/not-imported
DescriptionHi,

when importing a ODT doc, paragraph styles are OK but I receive prepared document with character styles as well, text contains tens/hundreds inline character styles and when importing to Scribus it is lost. Now one has to correct manually according to original text.

Please implement/repair import so it imports even character styles.

Thank you
Steps To Reproduce1. create a doc in OO/LibreOffice
2. select a work in a text and apply character style (like Emphasis)
3. import into Scribus
4. character style is ignored
Additional InformationUpdate as of r20681 (per Ben in 0009858:0038101)
Testing the new importer under Linux, I don't yet see any change relating to this feature request. Understanding that my goal is to have text that is brought in from OpenOffice/LibreOffice correctly show paragraph and character style tagging that was applied in OO/LO so that styles of the same name (but perhaps very different appearance) that exist in Scribus can automatically take effect in the Scribus document.
As of 20681, when I watch the text section of the properties window while moving my cursor though imported text, I still see
  1. Paragraph style tagging was correctly brought in
  2. Spaces within the names of OO/LO paragraph styles have been turned into _20_ (unfortunate since spaces are legal in Scribus style names and exist in many of the OO/LO standard styles)
  3. Character style tagging was not imported. (These areas have a paragraph style, but the character style shows as "No Style.")
TagsODF
PatchNo

Relationships

related to 0013643 assignedfschmid Return of the Style import features for text (but this time better) 
related to 0013001 confirmed loading odt files with merge option only mangles spaces in style names 
child of 0017142 new ODT import metabug 

Activities

jainbasil

2011-03-21 16:19

administrator   ~0025874

I am unable to reproduce the issue. It is working for me as expected.

Can you please upload a sample file?

I am using 1.4.0svn r16470

cbradney

2011-03-21 16:32

administrator   ~0025878

Works ok, please upload the sample file as Jain suggests.

jirib

2011-03-21 19:51

reporter  

sample_text.odt (9,253 bytes)

jirib

2011-03-21 19:51

reporter  

sample_doc.sla.gz (3,410 bytes)

jirib

2011-03-21 19:54

reporter   ~0025881

Hi,
scribus 1.4.0 svn from March 17th 2011.

The ODT file is written in LibreOffice 3.3.1 and contains my style for paragraph and three inline character styles.

The scribus doc doesn't show imported character styles.

Thank you!

jirib

2011-03-24 22:19

reporter   ~0025920

any news? has anybody beeen able to reproduce it?

cezaryece

2011-03-28 00:06

developer   ~0025959

Last edited: 2011-03-28 00:07

Yes, I can reproduce!
Very very important bug to fix!!!
Reading local character formatting is one of most important features for text layout application!!!

jirib

2013-08-06 11:48

reporter   ~0030505

Any progress?

pygmee

2013-09-17 08:57

developer   ~0030599

i've made some research but it's still too hard for me to fix

JLuc

2014-04-29 11:12

updater   ~0031829

Has it been working in a previous version ? If so, what date / version featured correct ODT character style import ?

jirib

2014-05-26 08:39

reporter   ~0031933

I don't think it has ever worked.

ancientgeek

2014-10-11 08:07

reporter   ~0033971

Last edited: 2014-10-12 03:02

I am new to the Scribus / Open Office environment. I supply tech support to a DIY publishing company. The lack of character style import is a serious oversight. Most of the manuscripts in work are plays which use character styles within dialog paragraphs to identify:
- character/role/speaker
- stage instructions
- lighting tech instructions
- sound tech instructions.
The intended use of Scribus is to generate PDF's for both actor scripts and tech scripts. And, to generate the submission files for Create-Space and Amazon as needed for paper backs and eBooks. All from the same "body" ODT files.

The platform is CentOS-6.5, Scribus v1.4.3, OO build 4.0.4.2-9.el6, and Python 2.6.6.

Ben

2015-10-11 03:30

reporter   ~0036613

There may be two kinds of character styles discussed above: system styles like "Bold" and user-defined character styles, which have a name, e.g. "Strong Emphasis" in the attached files. The latter might be easier to import, since Scribus has a parallel mechanism (applied in the Properties window). They're also more important to me, since I use them to enforce consistency.

For example, given a paragraph "Figure 1. Some picture of something...", the entirety might receive a paragraph style of "Caption," while the phrase "Figure 1." might be assigned a character style of "Caption Title" in addition to the paragraph style to set just that phrase in boldface. Currently the paragraph style maps correctly on import and the user must remember to manually reapply all character styles as part of the revision workflow.

This happens often enough (figure captions and revisions) that import of user-defined character style tagging would be a valuable improvement.

Additional sample files available on request. Scribus 1.5.1svn rev. 20458

Kunda

2015-10-25 01:26

updater   ~0036896

revised summary name for clarity

Kunda

2016-01-08 14:34

updater   ~0038037

OSX 10.10.5 1.5.1svn r20670
Testing franz's new ODT importer

I can import the .odt file fine now and see all the character styles (AFAICT) even though i don't have the appropriate fonts installed.

When I open the attached .sla.gz file i don't see any of the formatting.

Ben

2016-01-13 05:09

reporter   ~0038101

Testing the new importer under Linux, I don't yet see any change relating to this feature request. Understanding that my goal is to have text that is brought in from OpenOffice/LibreOffice correctly show paragraph and character style tagging that was applied in OO/LO so that styles of the same name (but perhaps very different appearance) that exist in Scribus can automatically take effect in the Scribus document.
As of 20681, when I watch the text section of the properties window while moving my cursor though imported text, I still see
  1. Paragraph style tagging was correctly brought in
  2. Spaces within the names of OO/LO paragraph styles have been turned into _20_ (unfortunate since spaces are legal in Scribus style names and exist in many of the OO/LO standard styles)
  3. Character style tagging was not imported. (These areas have a paragraph style, but the character style shows as "No Style.")

Kunda

2016-01-13 18:53

updater   ~0038124

unassigned pygmee and changed status to acknowledged

Kunda

2016-01-18 14:06

updater   ~0038243

Updated summary

Kunda

2016-04-23 12:47

updater   ~0040401

Assigning ticket to Franz since it's ODT importer related.
2 remaining issues:
1) spaces are turned in to _20_
2) Character styles are not imported

Ben

2016-04-24 03:01

reporter   ~0040422

Last edited: 2016-04-24 03:04

As mentioned in 0013001, the _20_ problem (Kunda's number 1 above) only exists in the importer named "OpenOffice.org Writer Documents," not the new importer "ODT Document," which appears to re-implement a functionality subset (see issue 0013643) from the old "OpenDocument Text Documents" and took its place in the importer drop-down list.

Suggested relationship: 0013643

Issue History

Date Modified Username Field Change
2011-03-20 14:50 jirib New Issue
2011-03-21 16:19 jainbasil Note Added: 0025874
2011-03-21 16:32 cbradney Note Added: 0025878
2011-03-21 19:51 jirib File Added: sample_text.odt
2011-03-21 19:51 jirib File Added: sample_doc.sla.gz
2011-03-21 19:54 jirib Note Added: 0025881
2011-03-24 22:19 jirib Note Added: 0025920
2011-03-28 00:06 cezaryece Note Added: 0025959
2011-03-28 00:07 cezaryece Note Edited: 0025959
2012-06-18 19:34 ale Assigned To => pygmee
2012-06-18 19:34 ale Status new => assigned
2013-08-06 11:48 jirib Note Added: 0030505
2013-09-17 08:57 pygmee Note Added: 0030599
2014-04-29 11:12 JLuc Note Added: 0031829
2014-05-26 08:39 jirib Note Added: 0031933
2014-10-11 08:07 ancientgeek Note Added: 0033971
2014-10-11 08:11 ancientgeek Note Edited: 0033971
2014-10-11 08:13 ancientgeek Note Edited: 0033971
2014-10-12 03:02 ancientgeek Note Edited: 0033971
2015-10-11 03:30 Ben Note Added: 0036613
2015-10-25 01:26 Kunda Patch => No
2015-10-25 01:26 Kunda Note Added: 0036896
2015-10-25 01:26 Kunda Summary Character styles ignored/not-imported => Importing ODT Character styles ignored/not-imported
2016-01-08 14:34 Kunda Note Added: 0038037
2016-01-13 05:09 Ben Note Added: 0038101
2016-01-13 18:53 Kunda Assigned To pygmee =>
2016-01-13 18:53 Kunda Note Added: 0038124
2016-01-13 18:53 Kunda Status assigned => acknowledged
2016-01-13 18:54 Kunda Tag Attached: ODF
2016-01-15 11:31 Kunda Relationship added related to 0013001
2016-01-18 14:06 Kunda Note Added: 0038243
2016-01-18 14:06 Kunda Additional Information Updated
2016-01-18 14:06 Kunda Additional Information Updated
2016-04-23 12:44 Kunda Additional Information Updated
2016-04-23 12:45 Kunda Assigned To => fschmid
2016-04-23 12:45 Kunda Status acknowledged => assigned
2016-04-23 12:47 Kunda Note Added: 0040401
2016-04-24 03:01 Ben Note Added: 0040422
2016-04-24 03:04 Ben Note Edited: 0040422
2016-05-02 15:48 Kunda Relationship added related to 0013643
2024-01-24 19:31 ale Relationship added child of 0017142